package com.ruoyi.basicData.mapper;


import com.ruoyi.basicData.domain.TWarehouseLocation;

import java.util.List;

/**
 * 库位Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TWarehouseLocationMapper {
    /**
     * 查询库位
     *
     * @param fId 库位ID
     * @return 库位
     */
    public TWarehouseLocation selectTWarehouseLocationById(Long fId);

    /**
     * 查询库位列表
     *
     * @param tWarehouseLocation 库位
     * @return 库位集合
     */
    public List<TWarehouseLocation> selectTWarehouseLocationList(TWarehouseLocation tWarehouseLocation);

    /**
     * 新增库位
     *
     * @param tWarehouseLocation 库位
     * @return 结果
     */
    public int insertTWarehouseLocation(TWarehouseLocation tWarehouseLocation);

    /**
     * 修改库位
     *
     * @param tWarehouseLocation 库位
     * @return 结果
     */
    public int updateTWarehouseLocation(TWarehouseLocation tWarehouseLocation);

    /**
     * 删除库位
     *
     * @param fId 库位ID
     * @return 结果
     */
    public int deleteTWarehouseLocationById(Long fId);

    /**
     * 批量删除库位
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehouseLocationByIds(Long[] fIds);
}
